## xfce4-whiskermenu-plugin 1.1.1

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

add_subdirectory(ar)
add_subdirectory(bg)
add_subdirectory(ca)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(es)
add_subdirectory(en_GB)
add_subdirectory(fr)
add_subdirectory(he)
add_subdirectory(hu)
add_subdirectory(id)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(kk)
add_subdirectory(ms)
add_subdirectory(nb)
add_subdirectory(nl)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(sk)
add_subdirectory(sv)
add_subdirectory(tr)
add_subdirectory(vi)

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.1.1-1) unstable; urgency=low

  [ Mateusz Łukasik ]
  * Initial release.                                            closes: #715463

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 09 Oct 2013 23:12:35 +0200

=== debian/control ===
Source: xfce4-whiskermenu-plugin
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
 Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9), cmake, pkg-config, gettext,
    hicolor-icon-theme, libexo-1-dev, libgarcon-1-0-dev, libgtk2.0-dev,
    libxfce4ui-1-dev, libxfce4util-dev, xfce4-panel-dev
Standards-Version: 3.9.4
Homepage: http://gottcode.org/xfce4-whiskermenu-plugin/
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin-debian/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin-debian/

Package: xfce4-whiskermenu-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alternate menu plugin for the Xfce desktop environment
 Whisker Menu is an alternate application launcher for Xfce. When you open it
 you are shown a list of applications you have marked as favorites. You can
 browse through all of your installed applications by clicking on the category
 buttons on the side. Top level catagories make browsing fast, and simple to
 switch between. Additionally, Whisker Menu keeps a list of the last ten
 applications that you’ve launched from it.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install
	find debian/xfce4-whiskermenu-plugin -name '*.la' -delete

## xfce4-whiskermenu-plugin 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
if(${CMAKE_VERSION} VERSION_LESS "2.8.8")
    cmake_policy(SET CMP0002 OLD)
endif()

project(whiskermenu)

# options
option(ENABLE_WERROR "Enable -Werror flag for development" OFF)
option(ENABLE_AS_NEEDED "Enable -Wl,--as-needed for the linker" ON)

include(GNUInstallDirs)

add_subdirectory(src)
add_subdirectory(po)
add_subdirectory(icons)

# popup script
configure_file(${PROJECT_SOURCE_DIR}/xfce4-popup-whiskermenu.in
    ${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu ESCAPE_QUOTES @ONLY)
install(PROGRAMS ${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu
    DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${PROJECT_SOURCE_DIR}/xfce4-popup-whiskermenu.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)

# uninstall target
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake
    IMMEDIATE @ONLY)
add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,17 @@
 add_subdirectory(ar)
 add_subdirectory(bg)
 add_subdirectory(ca)
+add_subdirectory(cs)
 add_subdirectory(da)
 add_subdirectory(de)
 add_subdirectory(el)
+add_subdirectory(en_GB)
 add_subdirectory(es)
-add_subdirectory(en_GB)
+add_subdirectory(et)
+add_subdirectory(fi)
 add_subdirectory(fr)
 add_subdirectory(he)
+add_subdirectory(hr)
 add_subdirectory(hu)
 add_subdirectory(id)
 add_subdirectory(it)
@@ -24,6 +28,9 @@
 add_subdirectory(ro)
 add_subdirectory(ru)
 add_subdirectory(sk)
+add_subdirectory(sr@latin)
 add_subdirectory(sv)
 add_subdirectory(tr)
+add_subdirectory(uk)
+add_subdirectory(uz)
 add_subdirectory(vi)

=== src/CMakeLists.txt ===
set(WHISKERMENU_FLAGS "-Wall -Wextra")
if(ENABLE_WERROR)
    set(WHISKERMENU_FLAGS "${WHISKERMENU_FLAGS} -Werror")
endif()
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WHISKERMENU_FLAGS}")
set(CMAKE_CXX_FLAGS "-fvisibility=hidden ${WHISKERMENU_FLAGS} ${CMAKE_CXX_FLAGS}")
if(ENABLE_AS_NEEDED)
    set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
endif()

find_package(GTK2 REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(exo REQUIRED exo-1)
pkg_check_modules(garcon REQUIRED garcon-1)
pkg_check_modules(libxfce4panel REQUIRED libxfce4panel-1.0>=4.8)
pkg_check_modules(libxfce4ui REQUIRED libxfce4ui-1>=4.8)
pkg_check_modules(libxfce4util REQUIRED libxfce4util-1.0>=4.8)

if (NOT DEFINED DISABLE_DEPRECATED)
    if(${libxfce4panel_VERSION} VERSION_LESS "4.10")
        set(DISABLE_DEPRECATED OFF)
    else()
        set(DISABLE_DEPRECATED ON)
    endif()
endif()

include_directories(
    ${exo_INCLUDE_DIRS}
    ${garcon_INCLUDE_DIRS}
    ${libxfce4panel_INCLUDE_DIRS}
    ${libxfce4ui_INCLUDE_DIRS}
    ${libxfce4util_INCLUDE_DIRS}
    ${GTK2_INCLUDE_DIRS})

link_directories(
    ${exo_LIBRARY_DIRS}
    ${garcon_LIBRARY_DIRS}
    ${libxfce4panel_LIBRARY_DIRS}
    ${libxfce4ui_LIBRARY_DIRS}
    ${libxfce4util_LIBRARY_DIRS})

add_definitions(
    -DGETTEXT_PACKAGE="xfce4-whiskermenu-plugin"
    -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
    -DGSEAL_ENABLE=1
    -DGDK_DISABLE_SINGLE_INCLUDES=1
    -DGDK_PIXBUF_DISABLE_SINGLE_INCLUDES=1
    -DGTK_DISABLE_SINGLE_INCLUDES=1
    -DGTK_MULTIHEAD_SAFE=1
    ${exo_CFLAGS_OTHER}
    ${garcon_CFLAGS_OTHER}
    ${libxfce4panel_CFLAGS_OTHER}
    ${libxfce4ui_CFLAGS_OTHER}
    ${libxfce4util_CFLAGS_OTHER})

if(${DISABLE_DEPRECATED})
    add_definitions(
        -DG_DISABLE_DEPRECATED=1
        -DGDK_DISABLE_DEPRECATED=1
        -DGDK_PIXBUF_DISABLE_DEPRECATED=1
        -DGTK_DISABLE_DEPRECATED=1)
endif()

add_library(whiskermenu MODULE
    applications_page.cpp
    category.cpp
    configuration_dialog.cpp
    favorites_page.cpp
    icon_size.cpp
    launcher.cpp
    launcher_model.cpp
    launcher_view.cpp
    list_page.cpp
    menu.cpp
    page.cpp
    panel_plugin.cpp
    query.cpp
    recent_page.cpp
    register_plugin.c
    resizer_widget.cpp
    search_page.cpp
    section_button.cpp)

target_link_libraries(whiskermenu
    ${exo_LIBRARIES}
    ${garcon_LIBRARIES}
    ${libxfce4panel_LIBRARIES}
    ${libxfce4ui_LIBRARIES}
    ${libxfce4util_LIBRARIES}
    ${GTK2_LIBRARIES})

string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES release)
    add_definitions(-DG_DISABLE_ASSERT=1)
    add_custom_command(TARGET whiskermenu POST_BUILD COMMAND ${CMAKE_STRIP} $<TARGET_FILE:whiskermenu>)
endif()

install(TARGETS whiskermenu LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)
install(FILES ../whiskermenu.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/xfce4/panel/plugins)

=== po/ar/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(ar ALL INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR} PO_FILES xfce4-whiskermenu-plugin.po)

=== po/bg/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(bg ALL INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR} PO_FILES xfce4-whiskermenu-plugin.po)

=== po/ca/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(ca ALL INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR} PO_FILES xfce4-whiskermenu-plugin.po)

=== po/cs/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(cs ALL INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR} PO_FILES xfce4-whiskermenu-plugin.po)

=== po/da/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(da ALL INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR} PO_FILES xfce4-whiskermenu-plugin.po)

=== po/de/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(de ALL INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR} PO_FILES xfce4-whiskermenu-plugin.po)

=== po/el/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(el ALL INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR} PO_FILES xfce4-whiskermenu-plugin.po)

=== po/en_GB/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(en_GB ALL INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR} PO_FILES xfce4-whiskermenu-plugin.po)

=== po/es/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(es ALL INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR} PO_FILES xfce4-whiskermenu-plugin.po)

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.2.0-1) unstable; urgency=low

  [ Jackson Doak ]
  * New upstream release
  * Drop manpage, included upstream
  * debian/docs: Install NEWS as the changelog, don't install CREDITS
  * debian/control: Remove bad character from desciption

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 09 Nov 2013 00:31:47 +0100

## xfce4-whiskermenu-plugin 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
if(${CMAKE_VERSION} VERSION_LESS "2.8.8")
	cmake_policy(SET CMP0002 OLD)
endif()

project(whiskermenu)

# version number
set(whiskermenu_version_major "1")
set(whiskermenu_version_minor "2")
set(whiskermenu_version_micro "1")
set(whiskermenu_version_tag "")
set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
if(${whiskermenu_version_tag} MATCHES "git")
	if(NOT DEFINED whiskermenu_version_build)
		execute_process(COMMAND git describe
			WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
			OUTPUT_VARIABLE whiskermenu_version_build)
		string(REGEX REPLACE "^.*-g" "" whiskermenu_version_build "${whiskermenu_version_build}")
	endif()
	set(whiskermenu_version "${whiskermenu_version}.${whiskermenu_version_tag}-${whiskermenu_version_build}")
endif()

# options
option(ENABLE_VISIBILITY "Enable ELF visibility attributes" ON)
option(ENABLE_AS_NEEDED "Enable -Wl,--as-needed for the linker" ON)
option(ENABLE_LINKER_OPTIMIZED_HASH_TABLES "Enable -Wl,-O1 for the linker" ON)
option(ENABLE_DEVELOPER_MODE "Enable strict checks to help with development" OFF)

include(GNUInstallDirs)

add_subdirectory(src)
add_subdirectory(po)
add_subdirectory(icons)

# popup script
configure_file(${PROJECT_SOURCE_DIR}/xfce4-popup-whiskermenu.in
	${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu ESCAPE_QUOTES @ONLY)
install(PROGRAMS ${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu
	DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${PROJECT_SOURCE_DIR}/xfce4-popup-whiskermenu.1
	DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)

# uninstall target
configure_file(
	${CMAKE_CURRENT_SOURCE_DIR}/cmake/uninstall.cmake.in
	${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake
	IMMEDIATE @ONLY)
add_custom_target(uninstall
	${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake)

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.2.1-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 29 Nov 2013 22:01:33 +0100

=== debian/control ===
--- 
+++ 
@@ -21,4 +21,4 @@
  browse through all of your installed applications by clicking on the category
  buttons on the side. Top level catagories make browsing fast, and simple to
  switch between. Additionally, Whisker Menu keeps a list of the last ten
- applications that you’ve launched from it.
+ applications that you've launched from it.

## xfce4-whiskermenu-plugin 1.2.2

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.2.2-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

  [ Yves-Alexis Perez ]
  * debian/control:
    - Add Jackson Doak to Uploaders.

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 05 Dec 2013 22:02:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
- Lionel Le Folgoc <mrpouit@gmail.com>
+ Lionel Le Folgoc <mrpouit@gmail.com>,
+ Jackson Doak <noskcaj@ubuntu.com>
 Build-Depends: debhelper (>= 9), cmake, pkg-config, gettext,
     hicolor-icon-theme, libexo-1-dev, libgarcon-1-0-dev, libgtk2.0-dev,
     libxfce4ui-1-dev, libxfce4util-dev, xfce4-panel-dev

## xfce4-whiskermenu-plugin 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,11 @@
 cmake_minimum_required(VERSION 2.8)
-if(${CMAKE_VERSION} VERSION_LESS "2.8.8")
-	cmake_policy(SET CMP0002 OLD)
-endif()
 
 project(whiskermenu)
 
 # version number
 set(whiskermenu_version_major "1")
-set(whiskermenu_version_minor "2")
-set(whiskermenu_version_micro "1")
+set(whiskermenu_version_minor "3")
+set(whiskermenu_version_micro "0")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")
@@ -29,17 +26,9 @@
 
 include(GNUInstallDirs)
 
-add_subdirectory(src)
+add_subdirectory(icons)
+add_subdirectory(panel-plugin)
 add_subdirectory(po)
-add_subdirectory(icons)
-
-# popup script
-configure_file(${PROJECT_SOURCE_DIR}/xfce4-popup-whiskermenu.in
-	${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu ESCAPE_QUOTES @ONLY)
-install(PROGRAMS ${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu
-	DESTINATION ${CMAKE_INSTALL_BINDIR})
-install(FILES ${PROJECT_SOURCE_DIR}/xfce4-popup-whiskermenu.1
-	DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)
 
 # uninstall target
 configure_file(

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Bump standards-version to 3.9.5

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 29 Dec 2013 21:15:12 +0100

## xfce4-whiskermenu-plugin 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "1")
 set(whiskermenu_version_minor "3")
-set(whiskermenu_version_micro "0")
+set(whiskermenu_version_micro "2")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== panel-plugin/CMakeLists.txt ===
set(WHISKERMENU_FLAGS "-Wall -Wextra")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WHISKERMENU_FLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WHISKERMENU_FLAGS}")
if(ENABLE_VISIBILITY)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif()

if(ENABLE_AS_NEEDED)
	set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--as-needed")
endif()
if(ENABLE_LINKER_OPTIMIZED_HASH_TABLES)
	set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-O1")
endif()

find_package(GTK2 REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(exo REQUIRED exo-1)
pkg_check_modules(garcon REQUIRED garcon-1)
pkg_check_modules(libxfce4panel REQUIRED libxfce4panel-1.0>=4.7)
pkg_check_modules(libxfce4ui REQUIRED libxfce4ui-1>=4.7)
pkg_check_modules(libxfce4util REQUIRED libxfce4util-1.0>=4.7)

include_directories(
	${exo_INCLUDE_DIRS}
	${garcon_INCLUDE_DIRS}
	${libxfce4panel_INCLUDE_DIRS}
	${libxfce4ui_INCLUDE_DIRS}
	${libxfce4util_INCLUDE_DIRS}
	${GTK2_INCLUDE_DIRS})

link_directories(
	${exo_LIBRARY_DIRS}
	${garcon_LIBRARY_DIRS}
	${libxfce4panel_LIBRARY_DIRS}
	${libxfce4ui_LIBRARY_DIRS}
	${libxfce4util_LIBRARY_DIRS})

add_definitions(
	-DGETTEXT_PACKAGE="xfce4-whiskermenu-plugin"
	-DPACKAGE_LOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
	-DBINDIR="${CMAKE_INSTALL_FULL_BINDIR}"
	-DDATADIR="${CMAKE_INSTALL_FULL_DATADIR}"
	-DG_LOG_DOMAIN="whiskermenu"
	-DGSEAL_ENABLE
	-DGTK_MULTIHEAD_SAFE
	${exo_CFLAGS_OTHER}
	${garcon_CFLAGS_OTHER}
	${libxfce4panel_CFLAGS_OTHER}
	${libxfce4ui_CFLAGS_OTHER}
	${libxfce4util_CFLAGS_OTHER})

if(ENABLE_DEVELOPER_MODE)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
	set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-z,defs")

	if(${libxfce4panel_VERSION} VERSION_GREATER "4.9")
		add_definitions(
			-DG_DISABLE_DEPRECATED
			-DGDK_DISABLE_DEPRECATED
			-DGDK_PIXBUF_DISABLE_DEPRECATED
			-DGTK_DISABLE_DEPRECATED)
	endif()
	add_definitions(
		-DGDK_DISABLE_SINGLE_INCLUDES
		-DGDK_PIXBUF_DISABLE_SINGLE_INCLUDES
		-DGTK_DISABLE_SINGLE_INCLUDES)
endif()

add_library(whiskermenu MODULE
	applications-page.cpp
	category.cpp
	command.cpp
	command-edit.cpp
	configuration-dialog.cpp
	element.h
	favorites-page.cpp
	icon-size.cpp
	launcher.cpp
	launcher-view.cpp
	list-page.cpp
	page.cpp
	plugin.cpp
	query.cpp
	recent-page.cpp
	register-plugin.c
	resizer-widget.cpp
	run-action.cpp
	search-action.cpp
	search-page.cpp
	section-button.cpp
	settings.cpp
	slot.h
	window.cpp)

target_link_libraries(whiskermenu
	${exo_LIBRARIES}
	${garcon_LIBRARIES}
	${libxfce4panel_LIBRARIES}
	${libxfce4ui_LIBRARIES}
	${libxfce4util_LIBRARIES}
	${GTK2_LIBRARIES})

string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES "release|minsizerel")
	add_definitions(-DNDEBUG -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT)
	add_custom_command(TARGET whiskermenu
		POST_BUILD COMMAND ${CMAKE_STRIP} $<TARGET_FILE:whiskermenu>)
endif()

install(TARGETS whiskermenu LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)
install(FILES whiskermenu.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/xfce4/panel/plugins)

# popup script
configure_file(${PROJECT_SOURCE_DIR}/panel-plugin/xfce4-popup-whiskermenu.in
	${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu ESCAPE_QUOTES @ONLY)
install(PROGRAMS ${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu
	DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES xfce4-popup-whiskermenu.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.3.2-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 18 Mar 2014 21:55:14 +0100

xfce4-whiskermenu-plugin (1.3.1-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 17 Jan 2014 21:53:17 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper (>= 9), cmake, pkg-config, gettext,
     hicolor-icon-theme, libexo-1-dev, libgarcon-1-0-dev, libgtk2.0-dev,
     libxfce4ui-1-dev, libxfce4util-dev, xfce4-panel-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://gottcode.org/xfce4-whiskermenu-plugin/
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin-debian/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin-debian/

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	find debian/xfce4-whiskermenu-plugin -name '*.la' -delete
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS

## xfce4-whiskermenu-plugin 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 # version number
 set(whiskermenu_version_major "1")
-set(whiskermenu_version_minor "3")
-set(whiskermenu_version_micro "2")
+set(whiskermenu_version_minor "4")
+set(whiskermenu_version_micro "0")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")
@@ -14,6 +14,7 @@
 			WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
 			OUTPUT_VARIABLE whiskermenu_version_build)
 		string(REGEX REPLACE "^.*-g" "" whiskermenu_version_build "${whiskermenu_version_build}")
+		string(REGEX REPLACE "\n" "" whiskermenu_version_build "${whiskermenu_version_build}")
 	endif()
 	set(whiskermenu_version "${whiskermenu_version}.${whiskermenu_version_tag}-${whiskermenu_version_build}")
 endif()

=== panel-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,8 @@
 add_definitions(
 	-DGETTEXT_PACKAGE="xfce4-whiskermenu-plugin"
 	-DPACKAGE_LOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
+	-DPACKAGE_NAME="xfce4-whiskermenu-plugin"
+	-DPACKAGE_VERSION="${whiskermenu_version}"
 	-DBINDIR="${CMAKE_INSTALL_FULL_BINDIR}"
 	-DDATADIR="${CMAKE_INSTALL_FULL_DATADIR}"
 	-DG_LOG_DOMAIN="whiskermenu"

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
file(GLOB _po_files *.po)
GETTEXT_CREATE_TRANSLATIONS(xfce4-whiskermenu-plugin.pot ALL ${_po_files})

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.4.0-1ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1393422)

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 17 Nov 2014 19:10:37 +0100

xfce4-whiskermenu-plugin (1.4.0-1ubuntu1) utopic; urgency=medium

  * debian/patches/01_replace-gdmflexiserver.patch
    - Use dm-tool instead of gdmflexiserver for user-switching,
      the latter is no longer provided by lightdm (LP: #1320560)

 -- Sean Davis <smd.seandavis@gmail.com>  Tue, 14 Oct 2014 06:39:57 -0400

xfce4-whiskermenu-plugin (1.4.0-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release
  * Fix debian/watch

  [ Unit 193 ]
  * Remove the trailing '-debian' on the Vcs-* URLs.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 28 Sep 2014 22:04:32 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
     libxfce4ui-1-dev, libxfce4util-dev, xfce4-panel-dev
 Standards-Version: 3.9.5
 Homepage: http://gottcode.org/xfce4-whiskermenu-plugin/
-Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin-debian/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin-debian/
+Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/
 
 Package: xfce4-whiskermenu-plugin
 Architecture: any

=== debian/watch ===
version=3
http://githubredir.debian.net/github/gottcode/xfce4-whiskermenu-plugin/v(.*).tar.gz

## xfce4-whiskermenu-plugin 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "1")
 set(whiskermenu_version_minor "4")
-set(whiskermenu_version_micro "0")
+set(whiskermenu_version_micro "1")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.4.1-0ppa1~trusty1) trusty; urgency=low

  * New upstream release
    - Fix crash with invalid utf8 encoding.
    - Fix not searching descriptions unless shown.
    - Fix not using secure connection to Wikipedia.
    - Translation updates: Asturian, Basque, Dutch, Finnish, French, Greek,
      Indonesian, Kazakh, Lithuanian, Nepali, Persian, Polish, Romanian,
      Spanish, Swedish, Turkish, Ukrainian, Uzbek.

 -- Graeme Gott <graeme@gottcode.org>  Fri, 05 Dec 2014 15:08:23 +0000

xfce4-whiskermenu-plugin (1.4.0-0ppa1~trusty1) trusty; urgency=low

  * New upstream release
    - Add option to switch position of categories and launchers.
    - Add waiting for grabs; allows modifier as shortcut.
    - Add padding to username.
    - Add single panel row option.
    - Add about entry to context menu.
    - Load applications immediately.
    - Recognize keypad enter as return for searching.
    - Set menu window type hint to DIALOG.
    - Translation updates: Bulgarian, Catalan, Chinese (Taiwan), Czech,
      Dutch, French, German, Hebrew, Italian, Japanese, Malay,
      Norwegian Bokmål, Polish, Portuguese, Russian, Slovak, Spanish,
      Swedish.

 -- Graeme Gott <graeme@gottcode.org>  Wed, 25 Jun 2014 09:40:31 +0000

xfce4-whiskermenu-plugin (1.3.2-0ppa1~trusty1) trusty; urgency=low

  * New upstream release
    - Fix crash when rearranging favorites.
    - Fix menu flashing when panel button is pressed rapidly.
    - Fix unable to click command buttons when focus follows mouse.
    - Fix panel button icon alignment in deskbar mode.
    - Translation updates: Arabic, Asturian, Chinese (Taiwan), Croatian,
      Czech, Danish, Finnish, Latvian, Nepali, Norwegian Bokmål,
      Portuguese (Brazil), Slovenian, Vietnamese.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 18 Mar 2014 09:43:59 +0000

xfce4-whiskermenu-plugin (1.3.1-0ppa1~trusty1) trusty; urgency=low

  * New upstream release
    - Fix crash when menu items are changed.
    - Fixes to the button layout.
    - Translation updates: German, French, Nepali, Polish, Spanish, Uzbek,
      Vietnamese.

 -- Graeme Gott <graeme@gottcode.org>  Mon, 06 Jan 2014 12:38:06 +0000

xfce4-whiskermenu-plugin (1.3.0-0ppa1~trusty1) trusty; urgency=low

  * New upstream release
    - Fix menu artifacts when switching categories.
    - Fix undefined behavior in slots.
    - Add command to launch menu editor.
    - Add command to switch users.
    - Add hiding commands.
    - Add browsing for commands.
    - Add hiding category and launcher icons.
    - Add loading default settings from a file.
    - Add search actions.
    - Add running arbitrary programs in PATH.
    - Add dragging launchers to panel or desktop.
    - Add support for custom menu files.
    - Defer loading applications until window is shown.
    - Merge configuration dialog tabs.
    - Rearrange source files to match standard layout of Xfce plugins.
    - Reduce unnecessary reloading of applications.
    - Rewrite search model code.
    - Use a single row in Xfce 4.10 panel.
    - Use empty file for saving settings.
    - Translation updates: Asturian, Brazilian Portuguese, Bulgarian,
      Catalan, Chinese (Taiwan), Dutch, German, Hebrew, Hungarian,
      Italian, Japanese, Kazakh, Malay, Nepali, Norwegian Bokmål, Persian,
      Polish, Portuguese, Romanian, Russian, Serbian, Serbian (Latin),
      Slovak, Spanish, Turkish, Ukrainian, Uzbek.

 -- Graeme Gott <graeme@gottcode.org>  Sun, 29 Dec 2013 12:41:50 +0000

xfce4-whiskermenu-plugin (1.2.2-0ppa1~trusty1) trusty; urgency=low

  * New upstream release
    - Fix incorrect fetching of panel orientation in Xfce 4.10.
    - Fix menu item icons colored by selection background.
    - Fix unable to set custom commands with parameters.
    - Translation updates: Arabic, German, Spanish, Ukrainian.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 03 Dec 2013 11:40:42 +0000

xfce4-whiskermenu-plugin (1.2.1-0ppa1~trusty1) trusty; urgency=low

  * New upstream release
    - Fix incorrect comparison for checking icon sizes.
    - Add window title to allow identifying menu window.
    - Add tips to README for popup script and compiz workaround.
    - Improve build system files.
    - Translation updates: Asturian, Catalan, Chinese (Taiwan), Czech,
      German, Estonian, French, Hungarian, Indonesian, Persian, Russian,
      Spanish, Turkish.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 19 Nov 2013 18:27:05 +0000

xfce4-whiskermenu-plugin (1.2.0-0ppa1~trusty1) trusty; urgency=low

  * New upstream release
    - Fix popup script to show correct version information.
    - Fix memory leak when reloading applications.
    - Fix favorites and recent deleted when menu failed to load.
    - Add option to load menu hierarchy.
    - Add option to not include favorites in recently used.
    - Add options to set custom commands.
    - Add option to show recently used by default.
    - Add option to position search entry next to panel button.
    - Add option to position command buttons next to search entry.
    - Add manual page for popup script.
    - Use tabs for configuration dialog layout.
    - Translation updates: Brazilian Portuguese, Bulgarian, Catalan,
      Croatian, Danish, Dutch, Finnish, French, German, Greek, Hebrew,
      Italian, Japanese, Malay, Norwegian Bokmål, Polish, Portuguese,
      Romanian, Russian, Serbian (Latin), Slovak, Spanish, Uzbek.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 29 Oct 2013 18:52:54 +0000

xfce4-whiskermenu-plugin (1.1.1-0ppa1~trusty1) trusty; urgency=low

  * New upstream release
    - Add name to main widget to allow styling.
    - Build system improvements.
    - Translation updates: Arabic, Catalan, French, Indonesian, Japanese,
      Malay, Russian, Spanish.

 -- Graeme Gott <graeme@gottcode.org>  Thu, 08 Aug 2013 16:10:27 +0000

xfce4-whiskermenu-plugin (1.1.0-0ppa1~trusty1) trusty; urgency=low

  * New upstream release
    - Fix hang at launch when there are too many recent items.


=== debian/control ===
Source: xfce4-whiskermenu-plugin
Section: xfce
Priority: optional
Maintainer: Graeme Gott <graeme@gottcode.org>
Build-Depends: debhelper (>= 9),
    cmake,
    pkg-config,
    gettext,
    hicolor-icon-theme,
    libexo-1-dev,
    libgarcon-1-0-dev,
    libgtk2.0-dev,
    libxfce4ui-1-dev,
    libxfce4util-dev,
    xfce4-panel-dev
Standards-Version: 3.9.5
Homepage: http://gottcode.org/xfce4-whiskermenu-plugin/

Package: xfce4-whiskermenu-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alternate Xfce menu
 Whisker Menu is an alternate application launcher for Xfce. When you open it
 you are shown a list of applications you have marked as favorites. You can
 browse through all of your installed applications by clicking on the category
 buttons on the side. Top level catagories make browsing fast, and simple to
 switch between. Additionally, Whisker Menu keeps a list of the last ten
 applications that you've launched from it.

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,5 @@
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release \
 	-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)
 
-override_dh_auto_install:
-	dh_auto_install
-	find debian/xfce4-whiskermenu-plugin -name '*.la' -delete
-
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts=filenamemangle=s#.*/v(.*)#xfce4-whiskermenu-plugin-$1# \
http://githubredir.debian.net/github/gottcode/xfce4-whiskermenu-plugin/v(.*).tar.gz

## xfce4-whiskermenu-plugin 1.4.2

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.4.2-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1408431

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 08 Jan 2015 07:09:23 +1100

## xfce4-whiskermenu-plugin 1.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "1")
 set(whiskermenu_version_minor "4")
-set(whiskermenu_version_micro "1")
+set(whiskermenu_version_micro "3")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.4.3-0ubuntu2) vivid; urgency=medium

  * No change rebuild for libxfce4util7

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 09 Mar 2015 20:04:04 -0400

xfce4-whiskermenu-plugin (1.4.3-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Fixes to debian/watch

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 15 Feb 2015 06:11:51 +1100

=== debian/control ===
Source: xfce4-whiskermenu-plugin
Section: xfce
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
 Lionel Le Folgoc <mrpouit@gmail.com>,
 Jackson Doak <noskcaj@ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, pkg-config, gettext,
    hicolor-icon-theme, libexo-1-dev, libgarcon-1-0-dev, libgtk2.0-dev,
    libxfce4ui-1-dev, libxfce4util-dev, xfce4-panel-dev
Standards-Version: 3.9.5
Homepage: http://gottcode.org/xfce4-whiskermenu-plugin/
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/

Package: xfce4-whiskermenu-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alternate menu plugin for the Xfce desktop environment
 Whisker Menu is an alternate application launcher for Xfce. When you open it
 you are shown a list of applications you have marked as favorites. You can
 browse through all of your installed applications by clicking on the category
 buttons on the side. Top level catagories make browsing fast, and simple to
 switch between. Additionally, Whisker Menu keeps a list of the last ten
 applications that you've launched from it.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/xfce4-whiskermenu-plugin-$1\.tar\.gz/ \
  https://github.com/gottcode/xfce4-whiskermenu-plugin/tags .*/v?(\d\S*)\.tar\.gz

## xfce4-whiskermenu-plugin 1.5.0

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.5.0-2ubuntu1~14.04) trusty; urgency=medium

  * Backport to trusty.

 -- Sean Davis <smd.seandavis@gmail.com>  Fri, 05 Jun 2015 06:24:57 -0400

xfce4-whiskermenu-plugin (1.5.0-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/01_replace-gdmflexiserver.patch:
      - Use dm-tool instead of gdmflexiserver for user-switching
      - Refreshed patch to remove fuzz

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 13 May 2015 19:03:28 -0400

xfce4-whiskermenu-plugin (1.5.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 23:10:27 +0200

xfce4-whiskermenu-plugin (1.5.0-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - Bump standards-version to 3.9.6.
  * debian/watch:
    - Update to archive.xfce.org.

  [ Yves-Alexis Perez ]
  * debian/watch
    - remove spurious version.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 13 Mar 2015 22:11:49 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper (>= 9), cmake, pkg-config, gettext,
     hicolor-icon-theme, libexo-1-dev, libgarcon-1-0-dev, libgtk2.0-dev,
     libxfce4ui-1-dev, libxfce4util-dev, xfce4-panel-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://gottcode.org/xfce4-whiskermenu-plugin/
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/

## xfce4-whiskermenu-plugin 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 # version number
 set(whiskermenu_version_major "1")
-set(whiskermenu_version_minor "4")
-set(whiskermenu_version_micro "3")
+set(whiskermenu_version_minor "5")
+set(whiskermenu_version_micro "1")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.5.1-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/01_replace-gdmflexiserver.patch:
      - Use dm-tool instead of gdmflexiserver for user-switching

 -- Unit 193 <unit193@ubuntu.com>  Tue, 27 Oct 2015 05:15:23 -0400

xfce4-whiskermenu-plugin (1.5.1-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 18 Oct 2015 14:50:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
  Lionel Le Folgoc <mrpouit@gmail.com>,

=== debian/watch ===
version=3
http://archive.xfce.org/src/panel-plugins/xfce4-whiskermenu-plugin/([\d\.]+)/ \
	xfce4-whiskermenu-plugin-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-whiskermenu-plugin 1.5.2

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.5.2-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/01_replace-gdmflexiserver.patch:
      - Use dm-tool instead of gdmflexiserver for user-switching

 -- Unit 193 <unit193@ubuntu.com>  Tue, 26 Apr 2016 10:06:17 -0400

xfce4-whiskermenu-plugin (1.5.2-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.7.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 01 Apr 2016 14:11:49 +0200

## xfce4-whiskermenu-plugin 1.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "1")
 set(whiskermenu_version_minor "5")
-set(whiskermenu_version_micro "1")
+set(whiskermenu_version_micro "3")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.5.3-0ubuntu1) devel; urgency=medium

  * New upstream release

 -- Unit 193 <unit193@ubuntu.com>  Thu, 26 May 2016 17:05:31 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper (>= 9), cmake, pkg-config, gettext,
     hicolor-icon-theme, libexo-1-dev, libgarcon-1-0-dev, libgtk2.0-dev,
     libxfce4ui-1-dev, libxfce4util-dev, xfce4-panel-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://gottcode.org/xfce4-whiskermenu-plugin/
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/

## xfce4-whiskermenu-plugin 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 # version number
 set(whiskermenu_version_major "1")
-set(whiskermenu_version_minor "5")
-set(whiskermenu_version_micro "3")
+set(whiskermenu_version_minor "6")
+set(whiskermenu_version_micro "0")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.6.0-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 20 Aug 2016 13:52:22 -0400

xfce4-whiskermenu-plugin (1.5.3-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/01_replace-gdmflexiserver.patch:
      - Use dm-tool instead of gdmflexiserver for user-switching

 -- Unit 193 <unit193@ubuntu.com>  Thu, 30 Jun 2016 08:34:13 -0400

xfce4-whiskermenu-plugin (1.5.3-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - update standards version to 3.9.8.
    - Use secured link for Vcs-Browser.
  * debian/watch:
    - Bump to version 4.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 28 Jun 2016 22:16:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 Build-Depends: debhelper (>= 9), cmake, pkg-config, gettext,
     hicolor-icon-theme, libexo-1-dev, libgarcon-1-0-dev, libgtk2.0-dev,
     libxfce4ui-1-dev, libxfce4util-dev, xfce4-panel-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://gottcode.org/xfce4-whiskermenu-plugin/
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/
 
 Package: xfce4-whiskermenu-plugin
 Architecture: any
@@ -21,6 +21,6 @@
  Whisker Menu is an alternate application launcher for Xfce. When you open it
  you are shown a list of applications you have marked as favorites. You can
  browse through all of your installed applications by clicking on the category
- buttons on the side. Top level catagories make browsing fast, and simple to
+ buttons on the side. Top level categories make browsing fast, and simple to
  switch between. Additionally, Whisker Menu keeps a list of the last ten
  applications that you've launched from it.

## xfce4-whiskermenu-plugin 1.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "1")
 set(whiskermenu_version_minor "6")
-set(whiskermenu_version_micro "0")
+set(whiskermenu_version_micro "2")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.6.2-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 13 Dec 2016 21:34:31 +0100

xfce4-whiskermenu-plugin (1.6.1-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 12 Nov 2016 15:45:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
  Lionel Le Folgoc <mrpouit@gmail.com>,
  Jackson Doak <noskcaj@ubuntu.com>
